package cn.com.acadsoc.core.dao.impl;

import cn.com.acadsoc.core.dao.TextbookDao;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.jdbc.core.JdbcTemplate;
import org.springframework.stereotype.Component;

import java.util.List;
import java.util.Map;

@Component
public class TextbookDaoImpl implements TextbookDao {

    private static final Logger LOGGER = LoggerFactory.getLogger(TextbookDaoImpl.class);

    @Autowired
    private JdbcTemplate jdbcTemplate;

    @Override
    public List<Map<String, Object>> getTextbookByGrade(String grade) {
        String sql = "select * from temp.temp_recommend_list_all";
        return jdbcTemplate.queryForList(sql);
    }
}
